Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 3aaceb5b585526e9fafee60ad9e0633fb7a8a8ab)
+++ BOOK/packages.ent	(revision e1840302e88ad6a8fb83c6823272174326a81b88)
@@ -365,8 +365,8 @@
 <!ENTITY mpc-home "http://www.multiprecision.org/">
 
-<!ENTITY mpfr-version "3.1.2">
-<!ENTITY mpfr-size "1,050 KB">
+<!ENTITY mpfr-version "3.1.3">
+<!ENTITY mpfr-size "1,112 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "e3d203d188b8fe60bb6578dd3152e05c">
+<!ENTITY mpfr-md5 "6969398cd2fbc56a6af570b5273c56a9">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 3aaceb5b585526e9fafee60ad9e0633fb7a8a8ab)
+++ BOOK/patches.ent	(revision e1840302e88ad6a8fb83c6823272174326a81b88)
@@ -49,7 +49,7 @@
 <!ENTITY linux-sublevel-patch-size "511 KB">
 
-<!ENTITY mpfr-fixes-patch "mpfr-&mpfr-version;-fixes-4.patch">
-<!ENTITY mpfr-fixes-patch-md5 "b6c1c0dcbf7661298037eeb346a8669c">
-<!ENTITY mpfr-fixes-patch-size "55 KB">
+<!ENTITY mpfr-fixes-patch "mpfr-&mpfr-version;-fixes-1.patch">
+<!ENTITY mpfr-fixes-patch-md5 "6a4bd2d694dc8a11477026c9f261d3c9">
+<!ENTITY mpfr-fixes-patch-size "82 KB">
 
 <!ENTITY ncurses-bashfix-patch "ncurses-&ncurses-version;-bash_fix-1.patch">
